# RUN 'python resume.py' TO CHECK RESUME AUTHENTICITY
_="""___________________________________________________________________

                        DAVID MERTZ, Ph.D.
                      Gnosis Software, Inc.
                        99 Second Street
                     Turners Falls, MA 01376
                         mertz@gnosis.cx
                          413-863-4552

OBJECTIVES

  [09/2002] I am only passingly seeking work at this time.  I have
  ongoing commitments but could be lured by the lustre of lucre into a
  short-term consulting arrangement.

WHO I AM

  Primarily, I am a writer about programming topics; but I write as a
  practical experienced programmer rather than either as a disinterested
  journalist or as a theoretical computer scientist.  However, in
  writing, I am neither swayed by marketing pressure nor shy to
  introduce abstract concepts where appropriate.

  My ongoing _Charming Python_ column is probably the mostly widely read
  discussion of the Python programming language worldwide.  Articles and
  columns I write on other topics are also well known and well received.

  Aside from writing, I enjoy programming projects, particularly in a
  capacity of bringing comparative and analytic perspective to a broader
  goal.  I can sling lines of code quite well, but I can also explain
  technologies and techniques to team members and collaborators.

WHY THIS DOCUMENT IS AS IT IS

  The resume in front of you has a special form if it has not been
  tampered with--it is a fully working program in a scripting language.
  The content you are looking at should be preceded and followed by a
  few inconspicuous lines of code, such that if the resume file is run
  in the described fashion, it will produce a message about its own
  authenticity.  If the displayed message is a warning, someone (e.g. a
  recruiter) has probably altered the resume in a manner I did not
  approve of.  A current version of the resume for various languages
  will be at http://gnosis.cx/publish/resumes/.  I have created versions
  for numerous programming languages; if challenged I could learn a new
  language well enough to create a version for it, probably within
  hours.

WHAT I KNOW & WHAT I HAVE DONE

 - I have published hundreds of articles and column installments with
   IBM developerWorks, Intel Developer Services, Webreview.com, and
   other publishers.  Many of these articles appear in the first few
   links that search engines show to users interested in the techniques
   and technologies I discuss.

 - My book _Text Processing in Python_ will be published by Addison
   Wesley, at early in 2003.

 - Before writing about computer programs, I was a college professor who
   taught and wrote about non-computer academic topics in the
   humanities.  An older curriculum vitae detailing these other areas
   can be found at the same parent URL as this resume.

 - Programming work:

   * Senior system analyst and project lead on commercial business
     systems.  I understand project development group dynamics and
     programming methodologies.  I have worked with version control
     systems; am comfortable with mainframe data interfaces and
     requirements; and am able to assume project lead role and
     facilitate workflow.

   * Web-based "thin-client" applications for insurance-industry
     training systems.  Earlier, client/server applications to
     accomplish the same business needs.

   * Languages I know well:  Python; C; xBase dialects (Clipper, Foxpro,
     Fivewin, XBase++); SQL (and database design); HTML; XML; Unix text
     tools (sed, awk, grep, tr, etc).  Other languages I have programmed
     in:  Ruby; Perl; JavaScript, Pascal; Fortran; Paradox PAL, Alpha
     Four; DBase, Delphi, Basics; C++; REXX; Java; VB/VBA; PHP; TCL;
     Bash; SmallTalk; Haskell

   * Hypertext CBTs and information/reference tools.  Also experienced
     in creating company/unit web sites, including graphic-creation and
     look-and-feel design.

   * Experience with many operating systems:  Linux; FreeBSD; OS/2;
     Win31/95/98/NT; MacOS (1.0-10.1.5); BeOS, DOS; Ultrix; 386BSD;
     Solaris; VMS; Multics.

 - Developed a certification exam for Python, used by a major testing
   company (Brainbench).  I have a background in testing and training
   design--and with general educational issues.

 - I have produced technical documentation on many programming projects,
   including database specifications, pseudo-code structures, ER and
   flow diagrams, purpose and project statements, and interface
   specifications.

EMPLOYMENT

 - Gnosis Software.  Jan 1998-Currently.  Consultant/Developer.

 - Tenco/Westtech Publishing.  Apr 2000-Currently.  Writer/Columnist.

 - Future Measures, Inc (MA). Jan 1999-Currently. Consultant/Developer.

 - Lindsey Software (AR).  Jul 1999-Nov 1999.  Consultant/Developer.

 - MetLife (SC).  Jan 1998-Dec 1998.  Senior Systems Analyst.

 - VMI Communications and Learning Systems (Toronto).  Oct 1997-Mar
   1998.  Projects Consultant.

 - Educational Training Systems (MA).  April 1997-Jan 1999.
   Consultant/Developer

 - Human Technology Partnership (MA).  April 1995-September 1997.  Lead
   Programmer/Developer.

   See http://gnosis.cx/publish/resumes/ for more details.

PUBLICATIONS

   See http://gnosis.cx/publish/ for details.

_____________________________________________________________________"""
from md5 import *; from base64 import *
if encodestring(new(_).digest()) <> 'eNvjEie0HX1fsdw8xoH7Ww==\n':
      print "Some ne'er-do-well has altered this resume"
else: print "This resume seems to be healthy and intact"

# THIS RESUME DOES NOT WISH TO BE IN A PROPRIETARY FORMAT, DON'T ASK!
